/*
 * [AlignBlankState.java]
 *
 * Summary: enumeration for finite state automaton parser, to deal with lead/trailing blanks.
 *
 * Copyright: (c) 2008-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2008-04-07 initial version.
 */
package com.mindprod.quoter;

/**
 * enumeration for finite state automaton parser, to deal with lead/trailing blanks.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2008-04-07 initial version.
 * @since 2008-04-07
 */
enum AlignBlankState
    {
        /**
         * state : in lead blanks.
         */
        IN_LEADING,
        /**
         * state : in middle of text.
         */
        IN_MIDDLE,
        /**
         * state: in trailing blanks.
         */
        IN_TRAILING,
    }
