/*
 * [AlignCategory.java]
 *
 * Summary: character categories. Used finite state automaton parser.
 *
 * Copyright: (c) 2008-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2008-04-07 initial version.
 */
package com.mindprod.quoter;

/**
 * character categories. Used finite state automaton parser.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2008-04-07 initial version.
 * @since 2008-04-07
 */
enum AlignCategory
    {
        /**
         * category of character: comma.
         */
        COMMA,
        /**
         * category of character: inside // or
         * COMMENT,
         * <p/>
         * /**
         * character category : new line.
         */
        NEWLINE,
        /**
         * character category : ordinary.
         */
        ORDINARY,
        /**
         * char category: inside single or double quote string.
         */
        QUOTED,
        /**
         * char category white space.
         */
        WHITESPACE
    }
