/*
 * [AlignQuotedState.java]
 *
 * Summary: enumeration for inside and outside quotes is finite state automaton parser.
 *
 * Copyright: (c) 2008-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2008-04-07
 */
package com.mindprod.quoter;

/**
 * enumeration for inside and outside quotes is finite state automaton parser.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2008-04-07
 * @since 2008-04-07
 */
enum AlignQuotedState
    {
        /**
         * quotedState : inside quotes.
         */
        INSIDE_QUOTES,
        /**
         * quote state: outside quotes.
         */
        OUTSIDE_QUOTES
    }
