/*
 * [JavaAlignCategory.java]
 *
 * Summary: States for finite state parser to align Java.
 *
 * Copyright: (c) 2007-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2007-04-07 initial version.
 */
package com.mindprod.quoter;

/**
 * States for finite state parser to align Java.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2007-04-07 initial version.
 * @since 2007-04-07
 */
public enum JavaAlignCategory
    {
        /**
         * comma.
         */
        COMMA,
        /**
         * / comment introducer.
         */
        COMMENT,
        /**
         * new line.
         */
        NEWLINE,
        /**
         * ordinary a-z A-z 0-9 punctuation.
         */
        ORDINARY,
        /**
         * single or double quote.
         */
        QUOTED,
        /**
         * space, tab.
         */
        WHITESPACE
    }
