/*
 * [PlainReservedChars.java]
 *
 * Summary: Basic translation without processing.
 *
 * Copyright: (c) 2002-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  4.5 2009-02-26 add both Java string quoting and plain for Java search/regexes.
 */
package com.mindprod.quoter;

/**
 * Basic translation without processing.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 4.5 2009-02-26 add both Java string quoting and plain for Java search/regexes.
 * @since 2002-06-19
 */
final class PlainReservedChars extends Translator
    {
    private static final String[] trt;

    static
        {
        trt = new String[ 256 ];
        // initialize the trt array
        for ( int i = 0; i < 32; i++ )
            {
            trt[ i ] = "";
            }
        for ( int i = 32; i < 256; i++ )
            {
            trt[ i ] = String.valueOf( ( char ) i ).intern();
            }
        // overrides
        trt[ 7 ] = "\t";
        trt[ 10 ] = "\n";/* newline left alone */
        trt[ 13 ] = "";/* \r removed */
        trt[ 160 ] = " ";/* non-breaking space -> ordinary space */
        } // end  static init

    // instance init.
    {
    table = trt;
    }
    }
