/*
 * [TextProcessor.java]
 *
 * Summary: Base class for various text processing. Each char may translate to another char or to a String of chars.
 *
 * Copyright: (c) 2002-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  4.5 2009-02-26 add both Java string quoting and plain for Java search/regexes.
 */
package com.mindprod.quoter;

/**
 * Base class for various text processing. Each char may translate to another char or to a String of chars.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 4.5 2009-02-26 add both Java string quoting and plain for Java search/regexes.
 * @since 2002-06-19
 */
public class TextProcessor
    {
    /**
     * no-arg constructor.
     */
    TextProcessor()
        {
        }

    /**
     * Converts text, will be overridden. can handle null and empty strings.
     *
     * @param raw text to be translated.
     *
     * @return String representing the cooked output, possibly null.
     */
    String process( String raw )
        {
        assert raw != null : "TextProcessor.process raw must not be null";
        return raw;
        } // end process
    }
