/*
 * [ToCSV.java]
 *
 * Summary: prepare CSV field.
 *
 * Copyright: (c) 2002-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2009-01-01 initial version.
 */
package com.mindprod.quoter;

/**
 * prepare CSV field.
 * <p/>
 * ToCSV
 * prepare CSV field.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2009-01-01 initial version.
 * @since 2009-11-11
 */
final class ToCSV extends Translator
    {
    /**
     * Converts text to CSV fields
     *
     * @param raw raw text to be cooked. Must not be null.
     *
     * @return string with quotes doubled embedded
     */
    public String process( String raw )
        {
        // handle high chars with \ u x x x x
        StringBuilder cooked = new StringBuilder( raw.length() * 120 / 100 );
        // enclose whole string in quotes
        cooked.append( "\"" );
        for ( int i = 0; i < raw.length(); i++ )
            {
            char c = raw.charAt( i );
            cooked.append( c );
            if ( c == '\"' )
                {
                cooked.append( c );  // must double "
                }
            } // end for
        cooked.append( "\"," );
        return cooked.toString();
        }
    }
