/*
 * [ToUpperCase.java]
 *
 * Summary: Converts String to upper case.
 *
 * Copyright: (c) 2002-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2002-06-19
 */
package com.mindprod.quoter;

/**
 * Converts String to upper case.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2002-06-19
 * @since 2002-06-19
 */
final class ToUpperCase extends TextProcessor
    {
    /**
     * Chops off leading and trailing spaces from each line.
     *
     * @param raw text to be chopped
     *
     * @return String representing the cooked output
     */
    String process( String raw )
        {
        if ( raw == null )
            {
            return null;
            }
        return raw.toUpperCase();
        }
    }
